Spark autobuilder
=================

To use the build scripts, grab the latest Spark rootfs in one of the following ways:
 * `curl -sL https://spark.fleshless.org/rootfs/latest.tar.xz | podman import - localhost/spark`
 * `git clone https://code.fleshless.org/Spark/spark-rootfs.git; cd spark-rootfs; podman build --rm -t localhost/spark .`

Then build a builder image from `./autobuilder`:
 * `cd ./autobuilder; podman build --rm -t localhost/spark:autobuilder .`

makepkg-podman
--------------

Builds Arch packages using `podman`. Takes the image name in the `PODMAN_IMAGE` env var.

Usage:
```
[PODMAN_IMAGE=<image>] makepkg-podman [makepkg_args]
```

Example:
```
git clone https://code.fleshless.org/PKGBUILDs/ssm-git /tmp/ssm-git
cd /tmp/ssm-git
makepkg-podman -sL
```

makepkg-ci
----------

Builds Arch packages from a git repo using `makepkg-podman` and puts the packages into `dest`.

Usage:
```
[PODMAN_IMAGE=<image>] makepkg-ci <dest> <url>
```

Example:
```
makepkg-ci /tmp/artifacts https://code.fleshless.org/PKGBUILDs/ssm-git
```

pkgbuilder
----------

Tracks given git repos for changes and builds packages on updates.
`pkgbuilder.conf` goes into `$XDG_CONFIG_HOME/pkgbuilder/config`

Usage:
```
pkgbuilder
```
